<?php

class FolderViews
{
    public static function IS_SCROLL_ANIMATION()
    {
        return defined("ViewParams::scroll_animation_enabled") &&
            HD::is_android();
    }

    public static function VIEW_LIST_SET_VARIABLE_PARAMS(&$views)
    {
        if (!self::IS_SCROLL_ANIMATION())
            return;

        foreach ($views as &$view)
        {
            $view[PluginRegularFolderView::view_params]
                [ViewParams::scroll_animation_enabled] = true;
        }
    }

    public static function GET_TV_SECTION_LIST_FOLDER_VIEWS()
    {
        $views = array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 3,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                    ViewItemParams::item_caption_width => 1000,
                    ViewItemParams::icon_width => 224,
                    ViewItemParams::icon_height => 224,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 4,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
                    ViewItemParams::item_caption_width => 1000,
                    ViewItemParams::icon_width => 160,
                    ViewItemParams::icon_height => 160,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 6,
                    ViewParams::num_rows => 4,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                    ViewItemParams::item_caption_width => 1000,
                    ViewItemParams::icon_width => 192,
                    ViewItemParams::icon_height => 192,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 2,
                    ViewParams::num_rows => 12,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -7,
                    ViewItemParams::icon_width => 80,
                    ViewItemParams::icon_height => 80,
                    ViewItemParams::item_caption_dx => 110,
                    ViewItemParams::icon_keep_aspect_ratio => false,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 15,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -5,
                    ViewItemParams::icon_width => 60,
                    ViewItemParams::icon_height => 60,
                    ViewItemParams::item_caption_dx => 78,
                    ViewItemParams::icon_keep_aspect_ratio => false,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
        );
        self::VIEW_LIST_SET_VARIABLE_PARAMS($views);
        return $views;
    }

    public static function GET_TV_CATEGORY_LIST_FOLDER_VIEWS()
    {
        $views = array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 1,
                    ViewParams::num_rows => 12,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -8,
                    ViewItemParams::icon_width => 68,
                    ViewItemParams::icon_height => 48,
                    ViewItemParams::item_caption_dx => 98,
                    ViewItemParams::icon_keep_aspect_ratio => true,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(
                    ViewItemParams::icon_path => 'plugin_file://icons/loading_channel.png',
                ),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 2,
                    ViewParams::num_rows => 12,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -8,
                    ViewItemParams::icon_width => 68,
                    ViewItemParams::icon_height => 48,
                    ViewItemParams::item_caption_dx => 98,
                    ViewItemParams::icon_keep_aspect_ratio => true,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(
                    ViewItemParams::icon_path => 'plugin_file://icons/loading_channel.png',
                ),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 15,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -4,
                    ViewItemParams::icon_width => 56,
                    ViewItemParams::icon_height => 40,
                    ViewItemParams::item_caption_dx => 86,
                    ViewItemParams::icon_keep_aspect_ratio => true,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(
                    ViewItemParams::icon_path => 'plugin_file://icons/loading_channel.png',
                ),
            ),
        );
        self::VIEW_LIST_SET_VARIABLE_PARAMS($views);
        return $views;
    }

    public static function GET_TV_CHANNEL_LIST_FOLDER_VIEWS()
    {
        $views = array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 1,
                    ViewParams::num_rows => 12,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -8,
                    ViewItemParams::icon_width => 48,
                    ViewItemParams::icon_height => 48,
                    ViewItemParams::item_caption_dx => 78,
                    ViewItemParams::icon_keep_aspect_ratio => false,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(
                    ViewItemParams::icon_path => 'plugin_file://icons/loading_channel.png',
                ),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 2,
                    ViewParams::num_rows => 12,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -8,
                    ViewItemParams::icon_width => 48,
                    ViewItemParams::icon_height => 48,
                    ViewItemParams::item_caption_dx => 78,
                    ViewItemParams::icon_keep_aspect_ratio => false,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(
                    ViewItemParams::icon_path => 'plugin_file://icons/loading_channel.png',
                ),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 15,
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -4,
                    ViewItemParams::icon_width => 40,
                    ViewItemParams::icon_height => 40,
                    ViewItemParams::item_caption_dx => 70,
                    ViewItemParams::icon_keep_aspect_ratio => false,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(
                    ViewItemParams::icon_path => 'plugin_file://icons/loading_channel.png',
                ),
            ),
        );
        self::VIEW_LIST_SET_VARIABLE_PARAMS($views);
        return $views;
    }

}

?>
