<?php

class Session
{
    private $http_opts = null;

    public function __construct()
    {
        $this->http_opts = array (
            CURLOPT_FOLLOWLOCATION  => true,
            CURLOPT_MAXREDIRS       => 10,
            CURLOPT_COOKIEFILE      => '/tmp/24h2.cookies',
            CURLOPT_COOKIEJAR       => '/tmp/24h2.cookies'
        );
    }
    
    public function get_http_opts()
    {
        return $this->http_opts;
    }

    public function clear_http_ops()
    {
        unset($this->http_opts[CURLOPT_HTTPHEADER]);
        unset($this->http_opts[CURLOPT_CUSTOMREQUEST]);
    }

    private function http_request_document($url, $data=null)
    {
        return isset($data) ?
            HD::http_post_document($url, $data, $this->http_opts) :
            HD::http_get_document($url, $this->http_opts);
        return $doc;
    }

    public function dune_api_exception($e, $def_caption, $is_playback)
    {
        $this->clear_http_ops();

        if ($e instanceof DuneException)
            return $e;

        if ($e instanceof DuneCurlException)
        {
            $error_action = ActionFactory::show_error(
                false,
                T::t('msg_connect_failed'),
                array(T::g('dune_tv_check_connection')));
            return new DuneException('Network error',
                "$e->errno.$e->http_code",
                $error_action);
        }

        $title = !$is_playback ?
            T::g('error_dialog_title') : T::t('msg_connect_failed');
        $text_lines = $is_playback ? array() :
            array(
                T::t('msg_connect_failed'),
                T::g('dune_tv_check_connection'));
        return new DuneException(
            $def_caption, -1,
            ActionFactory::show_error(false, $title, $text_lines));
    }
}
?>
